package sun.awt.image;

import java.awt.image.ColorModel;
import java.awt.image.ImageConsumer;
import java.util.Hashtable;

class ImageInfoGrabber extends ImageWatched implements ImageConsumer {
   Image image;

   public ImageInfoGrabber(Image var1) {
      this.image = var1;
   }

   public void setupConsumer() {
      this.image.getSource().addConsumer(this);
   }

   public void getInfo() {
      this.image.getSource().startProduction(this);
   }

   public void stopInfo() {
      this.image.getSource().removeConsumer(this);
      super.watchers = null;
   }

   public void setDimensions(int var1, int var2) {
      this.image.setDimensions(var1, var2);
      ((ImageWatched)this).newInfo(this.image, 3, 0, 0, var1, var2);
   }

   public void setProperties(Hashtable var1) {
      this.image.setProperties(var1);
      ((ImageWatched)this).newInfo(this.image, 4, 0, 0, 0, 0);
   }

   public void setColorModel(ColorModel var1) {
   }

   public void setHints(int var1) {
   }

   public void setPixels(int var1, int var2, int var3, int var4, ColorModel var5, byte[] var6, int var7, int var8) {
   }

   public void setPixels(int var1, int var2, int var3, int var4, ColorModel var5, int[] var6, int var7, int var8) {
   }

   public void imageComplete(int var1) {
      this.image.getSource().removeConsumer(this);
      if (var1 == 1) {
         ((ImageWatched)this).newInfo(this.image, 64, -1, -1, -1, -1);
      } else if (var1 == 4) {
         ((ImageWatched)this).newInfo(this.image, 128, -1, -1, -1, -1);
      }

      this.image.infoDone(var1);
   }
}
