package sun.awt.motif;

import java.awt.Choice;
import java.awt.Color;
import java.awt.Dimension;
import java.awt.Event;
import java.awt.Font;
import java.awt.peer.ChoicePeer;

class MChoicePeer extends MComponentPeer implements ChoicePeer {
   native void create(MComponentPeer var1);

   native void pReshape(int var1, int var2, int var3, int var4);

   public native void select(int var1);

   void initialize() {
      Choice var1 = (Choice)super.target;
      int var2 = var1.countItems();

      for(int var3 = 0; var3 < var2; ++var3) {
         this.addItem(var1.getItem(var3), var3);
      }

      this.select(var1.getSelectedIndex());
      super.initialize();
   }

   public MChoicePeer(Choice var1) {
      super(var1);
   }

   public Dimension minimumSize() {
      X11FontMetrics var1 = (X11FontMetrics)((MComponentPeer)this).getFontMetrics(super.target.getFont());
      Choice var2 = (Choice)super.target;
      int var3 = 0;
      int var4 = 0;
      Dimension var5 = new Dimension();

      for(int var6 = var2.countItems(); var6-- > 0; var4 = Math.max(var5.height, var4)) {
         var5 = var1.stringExtent(var2.getItem(var6));
         var3 = Math.max(var5.width, var3);
      }

      var5.width = var3 + 32;
      var5.height = Math.max(var4 + 8, 15) + 5;
      return var5;
   }

   public native void setFont(Font var1);

   public native void addItem(String var1, int var2);

   public native void remove(int var1);

   public native void setBackground(Color var1);

   void action(int var1) {
      Choice var2 = (Choice)super.target;
      var2.select(var1);
      if (super.applet != null) {
         XEvent var3 = new XEvent(new Event(super.target, 1001, var2.getItem(var1)), this);
         super.applet.sendEvent(var3);
      } else {
         super.target.postEvent(new Event(super.target, 1001, var2.getItem(var1)));
      }
   }
}
