package sun.awt.motif;

import java.awt.Event;
import java.awt.Font;
import java.awt.Menu;
import java.awt.MenuComponent;
import java.awt.MenuItem;
import java.awt.peer.MenuItemPeer;
import sun.awt.ObjectPeer;

class MMenuItemPeer extends ObjectPeer implements MenuItemPeer {
   int pData;
   boolean isCheckbox = false;
   MenuItem target;

   native void create(Menu var1);

   protected MMenuItemPeer() {
   }

   MMenuItemPeer(MenuItem var1) {
      this.target = var1;
      Font var2 = ((MenuComponent)var1).getFont();
      if (var2 == null) {
         var2 = new Font("Dialog", 0, 12);
         ((MenuComponent)var1).setFont(var2);
      }

      this.create((Menu)((MenuComponent)var1).getParent());
   }

   public native void enable();

   public native void disable();

   public native void dispose();

   public native void setLabel(String var1);

   public void action(long var1, int var3) {
      if (super.applet != null) {
         Event var4 = new Event(this.target, var1, 300, 0, 0, 0, var3, this.target.getLabel());
         XEvent var5 = new XEvent(var4, this);
         super.applet.sendEvent(var5);
      } else {
         this.target.postEvent(new Event(this.target, var1, 1001, 0, 0, 0, var3, this.target.getLabel()));
      }
   }
}
