package sun.awt.motif;

import java.awt.Dimension;
import java.awt.Event;
import java.awt.Scrollbar;
import java.awt.peer.ScrollbarPeer;

class MScrollbarPeer extends MComponentPeer implements ScrollbarPeer {
   native void create(MComponentPeer var1);

   MScrollbarPeer(Scrollbar var1) {
      super(var1);
   }

   public native void setValue(int var1);

   public native void setValues(int var1, int var2, int var3, int var4);

   public native void setLineIncrement(int var1);

   public native void setPageIncrement(int var1);

   public Dimension minimumSize() {
      return ((Scrollbar)super.target).getOrientation() == 1 ? new Dimension(18, 50) : new Dimension(50, 18);
   }

   public void lineUp(int var1) {
      Scrollbar var2 = (Scrollbar)super.target;
      var2.setValue(var1);
      if (super.applet != null) {
         XEvent var3 = new XEvent(new Event(super.target, 601, new Integer(var1)), this);
         super.applet.sendEvent(var3);
      } else {
         super.target.postEvent(new Event(super.target, 601, new Integer(var1)));
      }
   }

   public void lineDown(int var1) {
      Scrollbar var2 = (Scrollbar)super.target;
      var2.setValue(var1);
      if (super.applet != null) {
         XEvent var3 = new XEvent(new Event(super.target, 602, new Integer(var1)), this);
         super.applet.sendEvent(var3);
      } else {
         super.target.postEvent(new Event(super.target, 602, new Integer(var1)));
      }
   }

   public void pageUp(int var1) {
      Scrollbar var2 = (Scrollbar)super.target;
      var2.setValue(var1);
      if (super.applet != null) {
         XEvent var3 = new XEvent(new Event(super.target, 603, new Integer(var1)), this);
         super.applet.sendEvent(var3);
      } else {
         super.target.postEvent(new Event(super.target, 603, new Integer(var1)));
      }
   }

   public void pageDown(int var1) {
      Scrollbar var2 = (Scrollbar)super.target;
      var2.setValue(var1);
      if (super.applet != null) {
         XEvent var3 = new XEvent(new Event(super.target, 604, new Integer(var1)), this);
         super.applet.sendEvent(var3);
      } else {
         super.target.postEvent(new Event(super.target, 604, new Integer(var1)));
      }
   }

   public void dragAbsolute(int var1) {
      Scrollbar var2 = (Scrollbar)super.target;
      var2.setValue(var1);
      Event var3 = new Event(super.target, 605, new Integer(var1));
      if (super.applet != null) {
         XEvent var4 = new XEvent(var3, this);
         super.applet.sendEvent(var4);
      } else {
         super.target.postEvent(var3);
      }
   }
}
