package sun.awt;

import java.awt.Component;
import java.awt.Container;
import java.awt.Window;
import netscape.applet.AppletPeer;
import netscape.applet.AppletServices;

public class ObjectPeer {
   protected AppletPeer applet = AppletServices.getApplet(Thread.currentThread().getThreadGroup());

   public void dispose() {
      this.applet = null;
   }

   public AppletPeer getApplet() {
      return this.applet;
   }

   public static void setAppletToNull(Component var0) {
      if (var0.getPeer() instanceof ObjectPeer) {
         ObjectPeer var2 = (ObjectPeer)var0.getPeer();
         if (var2 == null) {
            var0.addNotify();
            var2 = (ObjectPeer)var0.getPeer();
            if (var2 == null) {
               throw new NullPointerException("ObjectPeer is null");
            }
         }

         if (var0 instanceof Window && var2.applet != null) {
            var2.applet.removeTopLevelWindow((Window)var0);
         }

         var2.applet = null;
         if (var0 instanceof Container) {
            int var1 = ((Container)var0).countComponents();

            for(int var4 = 0; var4 < var1; ++var4) {
               Component var3 = ((Container)var0).getComponent(var4);
               setAppletToNull(var3);
            }
         }

      }
   }
}
