package sun.awt.motif;

import java.awt.Checkbox;
import java.awt.CheckboxGroup;
import java.awt.Component;
import java.awt.Dimension;
import java.awt.Event;
import java.awt.peer.CheckboxPeer;

public class MCheckboxPeer extends MComponentPeer implements CheckboxPeer {
   native void create(MComponentPeer var1);

   public native void setLabel(String var1);

   void initialize() {
      Checkbox var1 = (Checkbox)super.target;
      this.setState(var1.getState());
      this.setCheckboxGroup(var1.getCheckboxGroup());
      super.initialize();
   }

   public MCheckboxPeer(Checkbox var1) {
      super(var1);
   }

   public native void setState(boolean var1);

   public native void setCheckboxGroup(CheckboxGroup var1);

   public Dimension minimumSize() {
      String var1 = ((Checkbox)super.target).getLabel();
      Dimension var2;
      if (var1 != null) {
         X11FontMetrics var3 = (X11FontMetrics)((MComponentPeer)this).getFontMetrics(super.target.getFont());
         var2 = var3.stringExtent(var1);
         var2.width += 30;
         var2.height = Math.max(var2.height + 8, 15);
      } else {
         var2 = new Dimension(20, 15);
      }

      return var2;
   }

   void action(boolean var1) {
      Checkbox var2 = (Checkbox)super.target;
      var2.setState(var1);
      if (super.applet != null) {
         XEvent var3 = new XEvent(new Event(var2, 1001, new Boolean(var1)), this);
         super.applet.sendEvent(var3);
      } else {
         ((Component)var2).postEvent(new Event(var2, 1001, new Boolean(var1)));
      }
   }
}
