package sun.awt.motif;

import java.awt.Dimension;
import java.awt.Label;
import java.awt.peer.LabelPeer;

class MLabelPeer extends MComponentPeer implements LabelPeer {
   native void create(MComponentPeer var1);

   public void initialize() {
      Label var1 = (Label)super.target;
      if (var1.getText() != null) {
         this.setText(var1.getText());
      }

      int var3;
      if ((var3 = var1.getAlignment()) != 0) {
         this.setAlignment(var3);
      }

      super.initialize();
   }

   MLabelPeer(Label var1) {
      super(var1);
   }

   public Dimension minimumSize() {
      X11FontMetrics var1 = (X11FontMetrics)((MComponentPeer)this).getFontMetrics(super.target.getFont());
      String var2 = ((Label)super.target).getText();
      if (var2 == null) {
         var2 = "";
      }

      Dimension var3 = var1.stringExtent(var2);
      var3.height += 8;
      var3.width += 14;
      return var3;
   }

   public native void setText(String var1);

   public native void setAlignment(int var1);
}
