package sun.awt.motif;

import java.awt.Font;
import java.awt.Menu;
import java.awt.MenuBar;
import java.awt.MenuComponent;
import java.awt.MenuContainer;
import java.awt.MenuItem;
import java.awt.peer.MenuPeer;

public class MMenuPeer extends MMenuItemPeer implements MenuPeer {
   native void createMenu(MenuBar var1);

   native void createSubMenu(Menu var1);

   public MMenuPeer(Menu var1) {
      super.target = var1;
      MenuContainer var2 = ((MenuComponent)var1).getParent();
      Font var3 = ((MenuComponent)var1).getFont();
      if (var3 == null) {
         var3 = new Font("Dialog", 0, 12);
         ((MenuComponent)var1).setFont(var3);
      }

      if (var2 instanceof MenuBar) {
         this.createMenu((MenuBar)((MenuComponent)var1).getParent());
      } else if (var2 instanceof Menu) {
         this.createSubMenu((Menu)((MenuComponent)var1).getParent());
      } else {
         throw new IllegalArgumentException("unknown menu container class");
      }
   }

   public void addSeparator() {
   }

   public void addItem(MenuItem var1) {
   }

   public void delItem(int var1) {
   }

   public native void dispose();
}
